package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class TwoBlockSprite extends Sprite<TwoBlockSprite.TwoBlockSpriteState> {
    public enum TwoBlockSpriteState {
        TOP, BOTTOM
    }

    public TwoBlockSprite(String top, String bottom) {
        loadResources(new HashMap<>() {
            {
                put(TwoBlockSpriteState.TOP, top);
                put(TwoBlockSpriteState.BOTTOM, bottom);
            }
        }, TwoBlockSpriteState.class);
    }

    public String getSprite() {
        return getResource(TwoBlockSpriteState.TOP);
    }

    public String getSprite(TwoBlockSpriteState state) {
        return getResource(state);
    }
}
